"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _setters = require("../_setters");
var _locale = require("../../src/locale");
var _utils = require("../_utils/utils");
var _default = exports["default"] = {
  name: 'componentKey',
  title: {
    label: (0, _locale.t)('loop-box.key_m1Tbsriyh12Z'),
    tip: (0, _locale.t)('loop-box.key_1srzDzyjKm9i')
  },
  isRequired: true,
  propType: 'string',
  setter: _setters.CStringOnlySetter,
  defaultValue: function defaultValue() {
    return "cr_" + (0, _utils.uuid)();
  },
  supportVariable: false
};